<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Range (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Range (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":9,"i22":10,"i23":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Range.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html"
               title="enum in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/Section.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/Range.html" target="_top">Frames</a></li>
        <li><a href="Range.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.usermodel</div>
    <h2 title="Class Range" class="title">Class Range</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwpf.usermodel.Range</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                           title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>, <a
                            href="../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                            title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>, <a
                            href="../../../../../org/apache/poi/hwpf/usermodel/Section.html"
                            title="class in org.apache.poi.hwpf.usermodel">Section</a>, <a
                            href="../../../../../org/apache/poi/hwpf/usermodel/Table.html"
                            title="class in org.apache.poi.hwpf.usermodel">Table</a>, <a
                            href="../../../../../org/apache/poi/hwpf/usermodel/TableCell.html"
                            title="class in org.apache.poi.hwpf.usermodel">TableCell</a>, <a
                            href="../../../../../org/apache/poi/hwpf/usermodel/TableRow.html"
                            title="class in org.apache.poi.hwpf.usermodel">TableRow</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">Range</span>
extends java.lang.Object</pre>
                <div class="block">This class is the central class of the HWPF object model. All properties that
                    apply to a range of characters in a Word document extend this class.

                    It is possible to insert text and/or properties at the beginning or end of a
                    range.

                    Ranges are only valid if there hasn't been an insert in a prior Range since
                    the Range's creation. Once an element (text, paragraph, etc.) has been
                    inserted into a Range, subsequent Ranges become unstable.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Ryan Ackley</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/CHPX.html"
                                        title="class in org.apache.poi.hwpf.model">CHPX</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_characters">_characters</a></span></code>
                                    <div class="block">All CharacterRuns that belong to the document this Range belongs
                                        to.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_charEnd">_charEnd</a></span></code>
                                    <div class="block">The end index in the characterRuns list for this Range.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_charRangeFound">_charRangeFound</a></span></code>
                                    <div class="block">Have we loaded the characterRun indexes yet.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_charStart">_charStart</a></span></code>
                                    <div class="block">The start index in the characterRuns list for this Range</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_doc">_doc</a></span></code>
                                    <div class="block">The document this range belongs to.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_end">_end</a></span></code>
                                    <div class="block">The ending character offset of this range.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                        title="class in org.apache.poi.hwpf.model">PAPX</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_paragraphs">_paragraphs</a></span></code>
                                    <div class="block">All paragraphs that belong to the document this Range belongs
                                        to.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_parEnd">_parEnd</a></span></code>
                                    <div class="block">The end index in the paragraphs list for this Range, exclusive
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_parRangeFound">_parRangeFound</a></span></code>
                                    <div class="block">Have we loaded the paragraph indexes yet.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_parStart">_parStart</a></span></code>
                                    <div class="block">The start index in the paragraphs list for this Range,
                                        inclusive
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_sectionEnd">_sectionEnd</a></span></code>
                                    <div class="block">The end index in the sections list for this Range.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/SEPX.html"
                                        title="class in org.apache.poi.hwpf.model">SEPX</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_sections">_sections</a></span></code>
                                    <div class="block">All sections that belong to the document this Range belongs to.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_sectionStart">_sectionStart</a></span></code>
                                    <div class="block">The start index in the sections list for this Range</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_start">_start</a></span></code>
                                    <div class="block">The starting character offset of this range.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected java.lang.StringBuilder</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Z:Z_text">_text</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_CHARACTER">TYPE_CHARACTER</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">POI 3.8 beta 5</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_LISTENTRY">TYPE_LISTENTRY</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">POI 3.8 beta 5</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_PARAGRAPH">TYPE_PARAGRAPH</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">POI 3.8 beta 5</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_SECTION">TYPE_SECTION</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">POI 3.8 beta 5</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_TABLE">TYPE_TABLE</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">POI 3.8 beta 5</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_TEXT">TYPE_TEXT</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">POI 3.8 beta 5</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#TYPE_UNDEFINED">TYPE_UNDEFINED</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">POI 3.8 beta 5</span></div>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Range-int-int-org.apache.poi.hwpf.HWPFDocumentCore-">Range</a></span>(int&nbsp;start,
                                    int&nbsp;end,
                                    <a href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                       title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;doc)</code>
                                    <div class="block">Used to construct a Range from a document.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#Range-int-int-org.apache.poi.hwpf.usermodel.Range-">Range</a></span>(int&nbsp;start,
                                    int&nbsp;end,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>
                                    <div class="block">Used to create Ranges that are children of other Ranges.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#adjustFIB-int-">adjustFIB</a></span>(int&nbsp;adjustment)</code>
                                    <div class="block">Adjust the value of the various FIB character count fields, eg
                                        <code>FIB.CCPText</code> after an insert or a delete...
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#delete--">delete</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getCharacterRun-int-">getCharacterRun</a></span>(int&nbsp;index)</code>
                                    <div class="block">Gets the character run at index.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getDocument--">getDocument</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getEndOffset--">getEndOffset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Paragraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getParagraph-int-">getParagraph</a></span>(int&nbsp;index)</code>
                                    <div class="block">Gets the paragraph at index.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Section.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Section</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getSection-int-">getSection</a></span>(int&nbsp;index)</code>
                                    <div class="block">Gets the section at index.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getStartOffset--">getStartOffset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Table.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Table</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#getTable-org.apache.poi.hwpf.usermodel.Paragraph-">getTable</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph)</code>
                                    <div class="block">Gets the table that starts with paragraph.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#initAll--">initAll</a></span>()</code>
                                    <div class="block">loads all of the list indexes.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#insertAfter-java.lang.String-">insertAfter</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Inserts text onto the end of this range</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#insertBefore-java.lang.String-">insertBefore</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Inserts text into the front of this range.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Table.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Table</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#insertTableBefore-short-int-">insertTableBefore</a></span>(short&nbsp;columns,
                                    int&nbsp;rows)</code>
                                    <div class="block">Inserts a simple table into the beginning of this range.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#numCharacterRuns--">numCharacterRuns</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#numParagraphs--">numParagraphs</a></span>()</code>
                                    <div class="block">Used to get the number of paragraphs in a range.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#numSections--">numSections</a></span>()</code>
                                    <div class="block">Used to get the number of sections in a range.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#replaceText-java.lang.String-boolean-">replaceText</a></span>(java.lang.String&nbsp;newText,
                                    boolean&nbsp;addAfter)</code>
                                    <div class="block">Replace range text with new one, adding it to the range and
                                        deleting
                                        original text from document
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#replaceText-java.lang.String-java.lang.String-">replaceText</a></span>(java.lang.String&nbsp;pPlaceHolder,
                                    java.lang.String&nbsp;pValue)</code>
                                    <div class="block">Replace (all instances of) a piece of text with another...</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#replaceText-java.lang.String-java.lang.String-int-">replaceText</a></span>(java.lang.String&nbsp;pPlaceHolder,
                                    java.lang.String&nbsp;pValue,
                                    int&nbsp;pOffset)</code>
                                    <div class="block">Replace (one instance of) a piece of text with another...</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#reset--">reset</a></span>()</code>
                                    <div class="block">resets the list indexes.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#sanityCheck--">sanityCheck</a></span>()</code>
                                    <div class="block">Method for debug purposes.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#stripFields-java.lang.String-">stripFields</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Removes any fields (eg macros, page markers etc) from the
                                        string.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#text--">text</a></span>()</code>
                                    <div class="block">Gets the text that this Range contains.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="TYPE_PARAGRAPH">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TYPE_PARAGRAPH</h4>
                                <pre>@Deprecated
public static final&nbsp;int TYPE_PARAGRAPH</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">POI 3.8 beta 5</span></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hwpf.usermodel.Range.TYPE_PARAGRAPH">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TYPE_CHARACTER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TYPE_CHARACTER</h4>
                                <pre>@Deprecated
public static final&nbsp;int TYPE_CHARACTER</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">POI 3.8 beta 5</span></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hwpf.usermodel.Range.TYPE_CHARACTER">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TYPE_SECTION">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TYPE_SECTION</h4>
                                <pre>@Deprecated
public static final&nbsp;int TYPE_SECTION</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">POI 3.8 beta 5</span></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hwpf.usermodel.Range.TYPE_SECTION">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TYPE_TEXT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TYPE_TEXT</h4>
                                <pre>@Deprecated
public static final&nbsp;int TYPE_TEXT</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">POI 3.8 beta 5</span></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hwpf.usermodel.Range.TYPE_TEXT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TYPE_LISTENTRY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TYPE_LISTENTRY</h4>
                                <pre>@Deprecated
public static final&nbsp;int TYPE_LISTENTRY</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">POI 3.8 beta 5</span></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hwpf.usermodel.Range.TYPE_LISTENTRY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TYPE_TABLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TYPE_TABLE</h4>
                                <pre>@Deprecated
public static final&nbsp;int TYPE_TABLE</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">POI 3.8 beta 5</span></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hwpf.usermodel.Range.TYPE_TABLE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TYPE_UNDEFINED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TYPE_UNDEFINED</h4>
                                <pre>@Deprecated
public static final&nbsp;int TYPE_UNDEFINED</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">POI 3.8 beta 5</span></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hwpf.usermodel.Range.TYPE_UNDEFINED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="Z:Z_start">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_start</h4>
                                <pre>protected final&nbsp;int _start</pre>
                                <div class="block">The starting character offset of this range.</div>
                            </li>
                        </ul>
                        <a name="Z:Z_end">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_end</h4>
                                <pre>protected&nbsp;int _end</pre>
                                <div class="block">The ending character offset of this range.</div>
                            </li>
                        </ul>
                        <a name="Z:Z_doc">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_doc</h4>
                                <pre>protected final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a> _doc</pre>
                                <div class="block">The document this range belongs to.</div>
                            </li>
                        </ul>
                        <a name="Z:Z_sections">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_sections</h4>
                                <pre>protected final&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/SEPX.html"
                                        title="class in org.apache.poi.hwpf.model">SEPX</a>&gt; _sections</pre>
                                <div class="block">All sections that belong to the document this Range belongs to.</div>
                            </li>
                        </ul>
                        <a name="Z:Z_sectionStart">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_sectionStart</h4>
                                <pre>protected&nbsp;int _sectionStart</pre>
                                <div class="block">The start index in the sections list for this Range</div>
                            </li>
                        </ul>
                        <a name="Z:Z_sectionEnd">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_sectionEnd</h4>
                                <pre>protected&nbsp;int _sectionEnd</pre>
                                <div class="block">The end index in the sections list for this Range.</div>
                            </li>
                        </ul>
                        <a name="Z:Z_parRangeFound">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_parRangeFound</h4>
                                <pre>protected&nbsp;boolean _parRangeFound</pre>
                                <div class="block">Have we loaded the paragraph indexes yet.</div>
                            </li>
                        </ul>
                        <a name="Z:Z_paragraphs">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_paragraphs</h4>
                                <pre>protected final&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                        title="class in org.apache.poi.hwpf.model">PAPX</a>&gt; _paragraphs</pre>
                                <div class="block">All paragraphs that belong to the document this Range belongs to.
                                </div>
                            </li>
                        </ul>
                        <a name="Z:Z_parStart">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_parStart</h4>
                                <pre>protected&nbsp;int _parStart</pre>
                                <div class="block">The start index in the paragraphs list for this Range, inclusive
                                </div>
                            </li>
                        </ul>
                        <a name="Z:Z_parEnd">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_parEnd</h4>
                                <pre>protected&nbsp;int _parEnd</pre>
                                <div class="block">The end index in the paragraphs list for this Range, exclusive</div>
                            </li>
                        </ul>
                        <a name="Z:Z_charRangeFound">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_charRangeFound</h4>
                                <pre>protected&nbsp;boolean _charRangeFound</pre>
                                <div class="block">Have we loaded the characterRun indexes yet.</div>
                            </li>
                        </ul>
                        <a name="Z:Z_characters">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_characters</h4>
                                <pre>protected&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/CHPX.html"
                                        title="class in org.apache.poi.hwpf.model">CHPX</a>&gt; _characters</pre>
                                <div class="block">All CharacterRuns that belong to the document this Range belongs
                                    to.
                                </div>
                            </li>
                        </ul>
                        <a name="Z:Z_charStart">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_charStart</h4>
                                <pre>protected&nbsp;int _charStart</pre>
                                <div class="block">The start index in the characterRuns list for this Range</div>
                            </li>
                        </ul>
                        <a name="Z:Z_charEnd">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_charEnd</h4>
                                <pre>protected&nbsp;int _charEnd</pre>
                                <div class="block">The end index in the characterRuns list for this Range.</div>
                            </li>
                        </ul>
                        <a name="Z:Z_text">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>_text</h4>
                                <pre>protected&nbsp;java.lang.StringBuilder _text</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Range-int-int-org.apache.poi.hwpf.HWPFDocumentCore-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>Range</h4>
                                <pre>public&nbsp;Range(int&nbsp;start,
             int&nbsp;end,
             <a href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html" title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;doc)</pre>
                                <div class="block">Used to construct a Range from a document. This is generally used to
                                    create a Range that spans the whole document, or at least one whole part
                                    of the document (eg main text, header, comment)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>start</code> - Starting character offset of the range.</dd>
                                    <dd><code>end</code> - Ending character offset of the range.</dd>
                                    <dd><code>doc</code> - The HWPFDocument the range is based on.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="Range-int-int-org.apache.poi.hwpf.usermodel.Range-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Range</h4>
                                <pre>protected&nbsp;Range(int&nbsp;start,
                int&nbsp;end,
                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</pre>
                                <div class="block">Used to create Ranges that are children of other Ranges.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>start</code> - Starting character offset of the range.</dd>
                                    <dd><code>end</code> - Ending character offset of the range.</dd>
                                    <dd><code>parent</code> - The parent this range belongs to.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="text--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>text</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;text()</pre>
                                <div class="block">Gets the text that this Range contains.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The text for this range.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="stripFields-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>stripFields</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;stripFields(java.lang.String&nbsp;text)</pre>
                                <div class="block">Removes any fields (eg macros, page markers etc) from the string.
                                    Normally used to make some text suitable for showing to humans, and the
                                    resultant text should not normally be saved back into the document!
                                </div>
                            </li>
                        </ul>
                        <a name="numSections--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>numSections</h4>
                                <pre>public&nbsp;int&nbsp;numSections()</pre>
                                <div class="block">Used to get the number of sections in a range. If this range is
                                    smaller
                                    than a section, it will return 1 for its containing section.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The number of sections in this range.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="numParagraphs--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>numParagraphs</h4>
                                <pre>public&nbsp;int&nbsp;numParagraphs()</pre>
                                <div class="block">Used to get the number of paragraphs in a range. If this range is
                                    smaller
                                    than a paragraph, it will return 1 for its containing paragraph.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The number of paragraphs in this range.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="numCharacterRuns--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>numCharacterRuns</h4>
                                <pre>public&nbsp;int&nbsp;numCharacterRuns()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The number of characterRuns in this range.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="insertBefore-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertBefore</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;insertBefore(java.lang.String&nbsp;text)</pre>
                                <div class="block">Inserts text into the front of this range.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - The text to insert</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The character run that text was inserted into.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="insertAfter-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertAfter</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;insertAfter(java.lang.String&nbsp;text)</pre>
                                <div class="block">Inserts text onto the end of this range</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - The text to insert</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The character run the text was inserted into.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="delete--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>delete</h4>
                                <pre>public&nbsp;void&nbsp;delete()</pre>
                            </li>
                        </ul>
                        <a name="insertTableBefore-short-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertTableBefore</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Table.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Table</a>&nbsp;insertTableBefore(short&nbsp;columns,
                               int&nbsp;rows)</pre>
                                <div class="block">Inserts a simple table into the beginning of this range.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columns</code> - The number of columns</dd>
                                    <dd><code>rows</code> - The number of rows.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The empty Table that is now part of the document.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="replaceText-java.lang.String-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>replaceText</h4>
                                <pre>public&nbsp;void&nbsp;replaceText(java.lang.String&nbsp;newText,
                        boolean&nbsp;addAfter)</pre>
                                <div class="block">Replace range text with new one, adding it to the range and deleting
                                    original text from document
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>newText</code> - The text to be replaced with</dd>
                                    <dd><code>addAfter</code> - if <tt>true</tt> the text will be added at the end of
                                        current
                                        range, otherwise to the beginning
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="replaceText-java.lang.String-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>replaceText</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;replaceText(java.lang.String&nbsp;pPlaceHolder,
                                  java.lang.String&nbsp;pValue,
                                  int&nbsp;pOffset)</pre>
                                <div class="block">Replace (one instance of) a piece of text with another...</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pPlaceHolder</code> - The text to be replaced (e.g., "${organization}")
                                    </dd>
                                    <dd><code>pValue</code> - The replacement text (e.g., "Apache Software Foundation")
                                    </dd>
                                    <dd><code>pOffset</code> - The offset or index where the text to be replaced begins
                                        (relative to/within this <code>Range</code>)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="replaceText-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>replaceText</h4>
                                <pre>public&nbsp;void&nbsp;replaceText(java.lang.String&nbsp;pPlaceHolder,
                        java.lang.String&nbsp;pValue)</pre>
                                <div class="block">Replace (all instances of) a piece of text with another...</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pPlaceHolder</code> - The text to be replaced (e.g., "${organization}")
                                    </dd>
                                    <dd><code>pValue</code> - The replacement text (e.g., "Apache Software Foundation")
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCharacterRun-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCharacterRun</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;getCharacterRun(int&nbsp;index)</pre>
                                <div class="block">Gets the character run at index. The index is relative to this
                                    range.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - The index of the character run to get.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The character run at the specified index in this range.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSection-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSection</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Section.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Section</a>&nbsp;getSection(int&nbsp;index)</pre>
                                <div class="block">Gets the section at index. The index is relative to this range.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - The index of the section to get.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The section at the specified index in this range.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParagraph-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraph</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;getParagraph(int&nbsp;index)</pre>
                                <div class="block">Gets the paragraph at index. The index is relative to this range.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - The index of the paragraph to get.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The paragraph at the specified index in this range.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTable-org.apache.poi.hwpf.usermodel.Paragraph-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/usermodel/Table.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Table</a>&nbsp;getTable(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph)</pre>
                                <div class="block">Gets the table that starts with paragraph. In a Word file, a table
                                    consists of a group of paragraphs with certain flags set.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>paragraph</code> - The paragraph that is the first paragraph in the table.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The table that starts with paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="initAll--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>initAll</h4>
                                <pre>protected&nbsp;void&nbsp;initAll()</pre>
                                <div class="block">loads all of the list indexes.</div>
                            </li>
                        </ul>
                        <a name="reset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>reset</h4>
                                <pre>protected&nbsp;void&nbsp;reset()</pre>
                                <div class="block">resets the list indexes.</div>
                            </li>
                        </ul>
                        <a name="adjustFIB-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>adjustFIB</h4>
                                <pre>protected&nbsp;void&nbsp;adjustFIB(int&nbsp;adjustment)</pre>
                                <div class="block">Adjust the value of the various FIB character count fields, eg
                                    <code>FIB.CCPText</code> after an insert or a delete...

                                    Works on all CCP fields from this range onwards
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>adjustment</code> - The (signed) value that should be added to the FIB CCP
                                        fields
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStartOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStartOffset</h4>
                                <pre>public&nbsp;int&nbsp;getStartOffset()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Starting character offset of the range</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEndOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndOffset</h4>
                                <pre>public&nbsp;int&nbsp;getEndOffset()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The ending character offset of this range</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocument</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                                       title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;getDocument()</pre>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="sanityCheck--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>sanityCheck</h4>
                                <pre>public&nbsp;boolean&nbsp;sanityCheck()</pre>
                                <div class="block">Method for debug purposes. Checks that all resolved elements are
                                    inside
                                    of current range. Throws <code>IllegalArgumentException</code> if checks fail.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Range.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html"
               title="enum in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/Section.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/Range.html" target="_top">Frames</a></li>
        <li><a href="Range.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
